// Copyright (c) 2021-2022 HotWright Inc.
// Created Sat Dec  3 06:40:15 2022
#include "ascii_defs_in.h"
// This is the function _user called out in parser.c

#define bool _Bool

// Output States

extern bool read_data;
extern bool write_data;
extern bool next_data;

// Input Variables

extern bool din0;
extern bool din1;
extern bool din2;
extern bool din3;
extern bool din4;
extern bool din5;
extern bool din6;
extern bool din7;
extern bool next_wrap_around;
extern bool valid;

int i = 0;
void _user(int number) {
// make sure this is here. It keeps a state external to the machine
valid = 1;
next_wrap_around = next_data;

switch (number) {

        case 0:{ if (i++ < 4) DOT; else {i = 0;  _a;} break;}
        case 1:{ i++; if (i==1) _a; if (i == 2) _B; break;}

	}
}
